cURL
curl --request POST \
--url https://app-api.aide.app/v1/scenarios/{id}/backfills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"view": "<string>",
"status": [],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"team": [
"<string>"
],
"q": "<string>",
"createdAfter": "<unknown>",
"createdBefore": "<unknown>",
"startedAfter": "<unknown>",
"startedBefore": "<unknown>"
}
}
'import requests
url = "https://app-api.aide.app/v1/scenarios/{id}/backfills"
payload = { "filters": {
"view": "<string>",
"status": [],
"channel": ["<string>"],
"topic": ["<string>"],
"team": ["<string>"],
"q": "<string>",
"createdAfter": "<unknown>",
"createdBefore": "<unknown>",
"startedAfter": "<unknown>",
"startedBefore": "<unknown>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
view: '<string>',
status: [],
channel: ['<string>'],
topic: ['<string>'],
team: ['<string>'],
q: '<string>',
createdAfter: '<unknown>',
createdBefore: '<unknown>',
startedAfter: '<unknown>',
startedBefore: '<unknown>'
}
})
};
fetch('https://app-api.aide.app/v1/scenarios/{id}/backfills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/scenarios/{id}/backfills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'view' => '<string>',
'status' => [
],
'channel' => [
'<string>'
],
'topic' => [
'<string>'
],
'team' => [
'<string>'
],
'q' => '<string>',
'createdAfter' => '<unknown>',
'createdBefore' => '<unknown>',
'startedAfter' => '<unknown>',
'startedBefore' => '<unknown>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/scenarios/{id}/backfills"
payload := strings.NewReader("{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/scenarios/{id}/backfills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/scenarios/{id}/backfills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario_backfill",
"expiresAt": "<string>",
"preview": {
"alreadyRan": 123,
"capped": true,
"considered": 123,
"inShadow": 123,
"matching": 123,
"modelCalls": 123,
"skippedActions": {},
"sample": [
"<string>"
]
},
"createdAt": "<string>",
"id": "<string>",
"status": "cancelled",
"expired": true,
"error": "<string>",
"startedAt": "<string>",
"filters": {
"view": "<string>",
"status": [
"new"
],
"q": "<string>",
"team": [
"<string>"
],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>",
"startedAfter": "<string>",
"startedBefore": "<string>"
},
"finishedAt": "<string>",
"previewedAt": "<string>",
"requestedBy": {
"name": "<string>",
"id": "<string>"
},
"scenarioId": "<string>",
"result": {
"skipped": 123,
"failed": 123,
"applied": 123
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ScenarioBackfill
Post v1scenarios backfills
POST
/
v1
/
scenarios
/
{id}
/
backfills
cURL
curl --request POST \
--url https://app-api.aide.app/v1/scenarios/{id}/backfills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"view": "<string>",
"status": [],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"team": [
"<string>"
],
"q": "<string>",
"createdAfter": "<unknown>",
"createdBefore": "<unknown>",
"startedAfter": "<unknown>",
"startedBefore": "<unknown>"
}
}
'import requests
url = "https://app-api.aide.app/v1/scenarios/{id}/backfills"
payload = { "filters": {
"view": "<string>",
"status": [],
"channel": ["<string>"],
"topic": ["<string>"],
"team": ["<string>"],
"q": "<string>",
"createdAfter": "<unknown>",
"createdBefore": "<unknown>",
"startedAfter": "<unknown>",
"startedBefore": "<unknown>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
view: '<string>',
status: [],
channel: ['<string>'],
topic: ['<string>'],
team: ['<string>'],
q: '<string>',
createdAfter: '<unknown>',
createdBefore: '<unknown>',
startedAfter: '<unknown>',
startedBefore: '<unknown>'
}
})
};
fetch('https://app-api.aide.app/v1/scenarios/{id}/backfills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/scenarios/{id}/backfills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'view' => '<string>',
'status' => [
],
'channel' => [
'<string>'
],
'topic' => [
'<string>'
],
'team' => [
'<string>'
],
'q' => '<string>',
'createdAfter' => '<unknown>',
'createdBefore' => '<unknown>',
'startedAfter' => '<unknown>',
'startedBefore' => '<unknown>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/scenarios/{id}/backfills"
payload := strings.NewReader("{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/scenarios/{id}/backfills")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/scenarios/{id}/backfills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"view\": \"<string>\",\n \"status\": [],\n \"channel\": [\n \"<string>\"\n ],\n \"topic\": [\n \"<string>\"\n ],\n \"team\": [\n \"<string>\"\n ],\n \"q\": \"<string>\",\n \"createdAfter\": \"<unknown>\",\n \"createdBefore\": \"<unknown>\",\n \"startedAfter\": \"<unknown>\",\n \"startedBefore\": \"<unknown>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario_backfill",
"expiresAt": "<string>",
"preview": {
"alreadyRan": 123,
"capped": true,
"considered": 123,
"inShadow": 123,
"matching": 123,
"modelCalls": 123,
"skippedActions": {},
"sample": [
"<string>"
]
},
"createdAt": "<string>",
"id": "<string>",
"status": "cancelled",
"expired": true,
"error": "<string>",
"startedAt": "<string>",
"filters": {
"view": "<string>",
"status": [
"new"
],
"q": "<string>",
"team": [
"<string>"
],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>",
"startedAfter": "<string>",
"startedBefore": "<string>"
},
"finishedAt": "<string>",
"previewedAt": "<string>",
"requestedBy": {
"name": "<string>",
"id": "<string>"
},
"scenarioId": "<string>",
"result": {
"skipped": 123,
"failed": 123,
"applied": 123
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}